Public Class frmLogon

    Private Sub cmdConnect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdConnect.Click

        ' Make sure the nickname is set
        If txtNickname.Text.Length = 0 Then
            MessageBox.Show("Please select a nick name.", "Error", MessageBoxButtons.OK, MessageBoxIcon.Warning)
            Exit Sub
        End If

        ' Save the current settings for later use, if all went OK
        SaveSettings()

        ' Hide the current form and show the other
        Me.Hide()
        frmMain.Show()

        ' Make sure the path to the file exists
        Try
            ' Attempt to connect to the file
            frmMain.Connect(txtFile.Text, txtNickname.Text)
        Catch ex As Exception

            ' Error - inform user.
            MessageBox.Show("Error: " & ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error)

            ' Show this form insted
            Me.Show()
            frmMain.Close()

        End Try

    End Sub

    Private Sub SaveSettings()

        ' Save the current settings
        My.Settings("NickName") = txtNickname.Text
        My.Settings("FilePath") = txtFile.Text

    End Sub

    Private Sub LoadSettings()

        ' Retrieve the default settings
        txtNickname.Text = My.Settings("NickName")
        txtFile.Text = My.Settings("FilePath")

    End Sub

    Private Sub frmLogon_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' First, load all settings.
        LoadSettings()

    End Sub

    Private Sub cmdExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdExit.Click

        ' Close this application
        Me.Close()

    End Sub

    Private Sub cmdBrowse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdBrowse.Click

        ' Show the dialog
        If dialogOpen.ShowDialog = Windows.Forms.DialogResult.OK Then
            ' Save the file path
            txtFile.Text = dialogOpen.FileName
        End If

    End Sub

End Class